# studio::LayerActionManager Class Reference

`#include <layeractionmanager.h>`

List of all members.

## Public Member Functions

void | queue_refresh ()
| LayerActionManager ()
| ~LayerActionManager ()
void | set_ui_manager (const Glib::RefPtr< Gtk::UIManager > &x)
Glib::RefPtr< Gtk::UIManager > | get_ui_manager () const
void | set_layer_tree (LayerTree *x)
LayerTree * | get_layer_tree () const
void | set_canvas_interface (const etl::handle< synfigapp::CanvasInterface > &x)
etl::handle < synfigapp::CanvasInterface > | get_canvas_interface () const
etl::loose_handle < synfigapp::Instance > | get_instance () const
void | refresh ()
void | clear ()
Glib::RefPtr< Gtk::Action > | get_action_select_all_child_layers ()

## Constructor & Destructor Documentation

LayerActionManager::LayerActionManager | ( |  | ) |

References _, and synfigapp::Action::create().

LayerActionManager::~LayerActionManager | ( |  | ) |

## Member Function Documentation

void LayerActionManager::queue_refresh | ( |  | ) |

References refresh().

Referenced by refresh(), and set_layer_tree().

void LayerActionManager::set_ui_manager | ( | const Glib::RefPtr< Gtk::UIManager > & | x | ) |

References clear(), and get_ui_manager().

Referenced by studio::Dock_Layers::Dock_Layers().

Glib::RefPtr<Gtk::UIManager> studio::LayerActionManager::get_ui_manager | ( |  | ) | const`[inline]`

Referenced by clear(), refresh(), and set_ui_manager().

void LayerActionManager::set_layer_tree | ( | LayerTree * | x | ) |

References studio::LayerTree::get_selection(), and queue_refresh().

Referenced by studio::Dock_Layers::changed_canvas_view_vfunc().

LayerTree* studio::LayerActionManager::get_layer_tree | ( |  | ) | const`[inline]`

void LayerActionManager::set_canvas_interface | ( | const etl::handle< synfigapp::CanvasInterface > & | x | ) |

Referenced by studio::Dock_Layers::changed_canvas_view_vfunc().

etl::handle<synfigapp::CanvasInterface> studio::LayerActionManager::get_canvas_interface | ( |  | ) | const`[inline]`

Referenced by refresh().

etl::loose_handle<synfigapp::Instance> studio::LayerActionManager::get_instance | ( |  | ) | const`[inline]`

Referenced by refresh().

void LayerActionManager::refresh | ( |  | ) |

References synfigapp::Action::ParamList::add(), synfigapp::Action::CATEGORY_LAYER, clear(), get_canvas_interface(), get_instance(), studio::LayerTree::get_selected_layer(), studio::LayerTree::get_selected_layers(), studio::LayerTree::get_selection(), get_ui_manager(), queue_refresh(), and studio::LayerTree::select_all_children_layers().

Referenced by studio::Dock_Layers::changed_canvas_view_vfunc(), and queue_refresh().

void LayerActionManager::clear | ( |  | ) |

References synfigapp::Action::create(), get_ui_manager(), and no_prev_popup().

Referenced by studio::Dock_Layers::changed_canvas_view_vfunc(), refresh(), and set_ui_manager().

Glib::RefPtr<Gtk::Action> studio::LayerActionManager::get_action_select_all_child_layers | ( |  | ) | `[inline]`

Referenced by studio::Dock_Layers::Dock_Layers().

The documentation for this class was generated from the following files:

- layeractionmanager.h
- layeractionmanager.cpp